package com.iamberry.wechat.core.entity.warrantyCard;

import com.iamberry.wechat.core.entity.PageBean;

import java.util.Date;

/**
 * 质保卡表
 * Created by liuzhiwei on 2017/12/14.
 */
public class WarrantyCard implements java.io.Serializable {

    private static final long serialVersionUID = 4505271888069944956L;

    private Integer cardId;             //id
    private String userOpenId;          //openId
    private Integer productType;        //产品类型id
    private Integer productChildType;   //产品子类型id
    private String cardNo;              //编号
    private String cardProductName;     //产品名称
    private Integer cardWatero;         //水质范围
    private Date cardSalesTime;         //购买时间
    private Date cardEndTime;           //保修截止时间
    private Date cardCreateDate;        //创建时间
    private String cardProvince;        //省
    private String cardCity;            //市
    private String cardDistrict;        //区
    private Integer cardTypeState;      //状态 1：使用中，2：停用
    private PageBean page = new PageBean();		//分页

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Integer getCardId() {
        return cardId;
    }

    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public Integer getProductChildType() {
        return productChildType;
    }

    public void setProductChildType(Integer productChildType) {
        this.productChildType = productChildType;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getCardProductName() {
        return cardProductName;
    }

    public void setCardProductName(String cardProductName) {
        this.cardProductName = cardProductName;
    }

    public Integer getCardWatero() {
        return cardWatero;
    }

    public void setCardWatero(Integer cardWatero) {
        this.cardWatero = cardWatero;
    }

    public Date getCardSalesTime() {
        return cardSalesTime;
    }

    public void setCardSalesTime(Date cardSalesTime) {
        this.cardSalesTime = cardSalesTime;
    }

    public Date getCardEndTime() {
        return cardEndTime;
    }

    public void setCardEndTime(Date cardEndTime) {
        this.cardEndTime = cardEndTime;
    }

    public Date getCardCreateDate() {
        return cardCreateDate;
    }

    public void setCardCreateDate(Date cardCreateDate) {
        this.cardCreateDate = cardCreateDate;
    }

    public String getCardProvince() {
        return cardProvince;
    }

    public void setCardProvince(String cardProvince) {
        this.cardProvince = cardProvince;
    }

    public String getCardCity() {
        return cardCity;
    }

    public void setCardCity(String cardCity) {
        this.cardCity = cardCity;
    }

    public String getCardDistrict() {
        return cardDistrict;
    }

    public void setCardDistrict(String cardDistrict) {
        this.cardDistrict = cardDistrict;
    }

    public Integer getCardTypeState() {
        return cardTypeState;
    }

    public void setCardTypeState(Integer cardTypeState) {
        this.cardTypeState = cardTypeState;
    }
}
